BizKitHub
DocsAPI ReferenceLedger/bff/ledger/stock/documents
getLedgerAdmin BFF

/bff/ledger/stock/documents

Stock documents

LedgergetBffLedgerStockDocuments

Parameters

12 query

Query parameters

· 12
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
kind"receipt" | "issue" | "transfer"Optional
status"draft" | "posted" | "reversed"Optional
warehouseIdstringOptional
Length: 16–24
Exampleexample_warehouseId
fromstringOptional
Example2026-11-04
tostringOptional
Example2026-11-04
searchstringOptional
Length: 0–100
Exampleexample_search
filterFulltextQuerystringOptional

DataGrid fulltext (same as search).

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit
offsetstringOptional
Exampleexample_offset

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/stock/documents

get
curl -X GET "https://api.bizkithub.com/bff/ledger/stock/documents?entityId=example_entityId&warehouseId=example_warehouseId&from=2026-11-04&to=2026-11-04&search=example_search&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&page=example_page&limit=example_limit&offset=example_offset" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key